using Domain.Entities;
using Domain.Generics;

namespace Core.Interfaces
{
    public interface ICustomerDom
    {
        Task<ECustomer> CreateAsync(ECustomer entity);
        Task<bool> UpdateAsync(ECustomer entity);
        Task<PagedResult<ECustomer>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<ECustomer?> GetByIdAsync(int id);
        Task<PagedResult<ECustomer>> SearchAsync(string? name, string? email, string? document, int page = 1, int pageSize = 50);
        Task<byte[]> ExportFilteredCustomersToExcelAsync(CustomerSearchParams searchParams);
        Task<bool> DeleteAsync(int id);
    }
}
 
